﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using Xamarin.Forms;

namespace TheGameExtreme.view
{
    public partial class GamePreparationPage : ContentPage
    {

        private string instructionText;
        public string InstructionText
        {
            get { return instructionText; }
            set
            {
                instructionText = value;
                OnPropertyChanged("InstructionText");
            }
        }
        public List<int> listNbPlayer = new List<int>();


        public GamePreparationPage()
        {
            InitializeComponent();
            NavigationPage.SetHasNavigationBar(this, false);
            Instruction.SetBinding(Label.TextProperty, new Binding("InstructionText", source: this));
            InstructionText = AppRessource.StrPlayerSelection;
            listNbPlayer.Add(1);
            listNbPlayer.Add(2);
            listNbPlayer.Add(3);
            listNbPlayer.Add(4);
            listNbPlayer.Add(5);
        }

        private async void Back(object sender, EventArgs e)
        {
            await Navigation.PopAsync();
        }

        private async void Play(object sender, EventArgs args)
        {
            await Navigation.PushAsync(new MainPage());
        }
    }
}
